package com.ningdatech.pmapi.common.model.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.math.BigDecimal;

/**
 * <p>
 * DataDTO
 * </p>
 *
 * @author ZPF
 * @since 16:40 2023/12/05
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DataDTO {

    @ApiModelProperty("编号")
    private String code;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("数量")
    private Integer num = 0;

    @ApiModelProperty("金额")
    private BigDecimal amount = BigDecimal.ZERO;

    @ApiModelProperty("比例")
    private BigDecimal rate = BigDecimal.ZERO;
}
